| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::ImageCodec::ImageData Class Reference

Codec return class for images. More...

`#include <OgreImageCodec.h>`

Inheritance diagram for Ogre::ImageCodec::ImageData:
[legend]

## Public Member Functions
| ImageData ()
String | dataType () const
| Returns the type of the data. More...

## Public Attributes
uint32 | depth
uint | flags
PixelFormat | format
uint32 | height
uint32 | num_mipmaps
size_t | size
uint32 | width

## Detailed Description

Codec return class for images.

Has information about the size and the pixel format of the image.

## Constructor & Destructor Documentation

## ◆ ImageData()

Ogre::ImageCodec::ImageData::ImageData | ( |  | ) |
| inline

## Member Function Documentation

## ◆ dataType()

String Ogre::ImageCodec::ImageData::dataType | ( |  | ) | const
| inline virtual

Returns the type of the data.

Reimplemented from Ogre::Codec::CodecData.

## Member Data Documentation

## ◆ height

uint32 Ogre::ImageCodec::ImageData::height

## ◆ width

uint32 Ogre::ImageCodec::ImageData::width

## ◆ depth

uint32 Ogre::ImageCodec::ImageData::depth

## ◆ size

size_t Ogre::ImageCodec::ImageData::size

## ◆ num_mipmaps

uint32 Ogre::ImageCodec::ImageData::num_mipmaps

## ◆ flags

uint Ogre::ImageCodec::ImageData::flags

## ◆ format

PixelFormat Ogre::ImageCodec::ImageData::format

The documentation for this class was generated from the following file:

- OgreImageCodec.h